Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface JobDetail

All Superinterfaces:
  Cloneable, Serializable

All Known Implementing Classes:
  JobDetailImpl

    public interface JobDetail

extends Serializable, Cloneable

Conveys the detail properties of a given `Job` instance. JobDetails are to be created/defined with `JobBuilder`.

Quartz does not store an actual instance of a `Job` class, but instead allows you to define an instance of one, through the use of a `JobDetail`.

`Job`s have a name and group associated with them, which should uniquely identify them within a single ``Scheduler``.

`Trigger`s are the 'mechanism' by which `Job`s are scheduled. Many `Trigger`s can point to the same `Job`, but a single `Trigger` can only point to one `Job`.

Author:
  James House
See Also:
  `JobBuilder`, `Job`, `JobDataMap`, `Trigger`

Method Summary
`Object` | `clone()`
`String` | `getDescription()` Return the description given to the `Job` instance by its creator (if any).
`JobBuilder` | `getJobBuilder()` Get a `JobBuilder` that is configured to produce a `JobDetail` identical to this one.
`Class<? extends Job>` | `getJobClass()` Get the instance of `Job` that will be executed.
`JobDataMap` | `getJobDataMap()` Get the `JobDataMap` that is associated with the `Job`.
`JobKey` | `getKey()`
`boolean` | `isConcurrentExectionDisallowed()`
`boolean` | `isDurable()` Whether or not the `Job` should remain stored after it is orphaned (no ``Trigger`s` point to it).
`boolean` | `isPersistJobDataAfterExecution()`
`boolean` | `requestsRecovery()` Instructs the `Scheduler` whether or not the `Job` should be re-executed if a 'recovery' or 'fail-over' situation is encountered.

Method Detail

### getKey

    JobKey getKey()

### getDescription

    String getDescription()

  Return the description given to the `Job` instance by its creator (if any).

  Returns:
    null if no description was set.

### getJobClass

    Class<? extends Job> getJobClass()

  Get the instance of `Job` that will be executed.

### getJobDataMap

    JobDataMap getJobDataMap()

  Get the `JobDataMap` that is associated with the `Job`.

### isDurable

    boolean isDurable()

  Whether or not the `Job` should remain stored after it is orphaned (no ``Trigger`s` point to it).

  If not explicitly set, the default value is `false`.

  Returns:
    `true` if the Job should remain persisted after being orphaned.

### isPersistJobDataAfterExecution

    boolean isPersistJobDataAfterExecution()

  Returns:
    whether the associated Job class carries the `PersistJobDataAfterExecution` annotation.
  See Also:
    `PersistJobDataAfterExecution`

### isConcurrentExectionDisallowed

    boolean isConcurrentExectionDisallowed()

  Returns:
    whether the associated Job class carries the `DisallowConcurrentExecution` annotation.
  See Also:
    `DisallowConcurrentExecution`

### requestsRecovery

    boolean requestsRecovery()

  Instructs the `Scheduler` whether or not the `Job` should be re-executed if a 'recovery' or 'fail-over' situation is encountered.

  If not explicitly set, the default value is `false`.

  See Also:
    `JobExecutionContext.isRecovering()`

### clone

    Object clone()

### getJobBuilder

    JobBuilder getJobBuilder()

  Get a `JobBuilder` that is configured to produce a `JobDetail` identical to this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.